Bug 459710 - Pulls in 9 megs of compat packages
Pulls in 9 megs of compat packages
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: compat-db (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On: 463790 463791 463792
Blocks: F10Blocker/F10FinalBlocker F10Preview FedoraMini/Mobility
  Show dependency treegraph
 
Reported: 2008-08-21 10:58 EDT by Jeremy Katz
Modified: 2013-07-02 19:31 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-24 09:42:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2008-08-21 10:58:43 EDT
rpm now pulls in 9 megs of compat-db packages, thus requiring a corresponding trimming of that much in applications to keep things like the livecd fitting.

Either rpm needs to link to the main system db version, rpm needs to carry its own version, or we need to revisit how the compat-db package is done so that we can not have such extreme bloat.

Sticking on F10Blocker, although preferably we can get this resolved pre-beta
Comment 1 Jesse Keating 2008-09-23 18:24:52 EDT
Sadly it doesn't even look like it got looked at pre-beta.
Comment 2 Jindrich Novy 2008-09-24 14:50:56 EDT
Added review requests for every BDB present in compat-db. The requests are to introduce compat-dbs for each version of old BDB to avoid dep bloat.

https://bugzilla.redhat.com/show_bug.cgi?id=463790
https://bugzilla.redhat.com/show_bug.cgi?id=463791
https://bugzilla.redhat.com/show_bug.cgi?id=463792

We can drop compat-db after compat-db43, compat-db45 and compat-db46 are reviewed and included.
Comment 3 Jindrich Novy 2008-09-24 15:05:47 EDT
Current compat-db dependencies are these:

BDB 4.3:
$ repoquery --whatrequires libdb-4.3.so
compat-db-0:4.6.21-3.fc10.i386
cyrus-sasl-lib-0:2.1.22-18.fc10.i386
$ repoquery --whatrequires 'libdb-4.3.so()(64bit)'
cyrus-sasl-0:2.1.22-18.fc10.x86_64
compat-db-0:4.6.21-3.fc10.x86_64
cyrus-sasl-lib-0:2.1.22-18.fc10.x86_64
ruby-bdb-0:0.6.0-1.fc7.x86_64

BDB 4.5:
$ repoquery --whatrequires libdb-4.5.so
compat-db-0:4.6.21-3.fc10.i386
rpm-devel-0:4.5.90-0.git8461.7.i386
rpm-libs-0:4.5.90-0.git8461.7.i386
$ repoquery --whatrequires 'libdb-4.5.so()(64bit)'
rpm-build-0:4.5.90-0.git8461.7.x86_64
rpm-libs-0:4.5.90-0.git8461.7.x86_64
rpm-0:4.5.90-0.git8461.7.x86_64
compat-db-0:4.6.21-3.fc10.x86_64
rpm-devel-0:4.5.90-0.git8461.7.x86_64

BDB 4.6:
$ repoquery --whatrequires libdb-4.6.so
compat-db-0:4.6.21-3.fc10.i386
elektra-0:0.6.10-6.fc9.i386
pam_abl-0:0.2.3-6.fc10.i386
fedora-ds-base-0:1.1.1-2.fc10.i386
libapreq2-0:2.09-0.18.rc2.fc10.i386
$ repoquery --whatrequires 'libdb-4.6.so()(64bit)'
elektra-0:0.6.10-6.fc9.x86_64
squidGuard-0:1.2.0-18.fc9.x86_64
cyrus-imapd-utils-0:2.3.12p2-1.fc10.x86_64
fedora-ds-base-0:1.1.1-2.fc10.x86_64
compat-python24-0:2.4.5-1.lvn9.x86_64
compat-db-0:4.6.21-3.fc10.x86_64
jabberd-0:2.1.23-1.fc9.x86_64
cfengine-0:2.2.8-1.fc10.x86_64
isync-0:1.0.4-1.fc9.x86_64
perl-BerkeleyDB-0:0.34-1.fc10.x86_64
gift-openft-0:0.2.1.6-12.fc9.x86_64
cyrus-imapd-0:2.3.12p2-1.fc10.x86_64
rapidsvn-0:0.9.6-3.fc10.x86_64
pam_abl-0:0.2.3-6.fc10.x86_64
klibido-0:0.2.5-10.fc9.x86_64
ruby-rpm-0:1.2.3-4.fc9.x86_64
poedit-0:1.3.9-2.fc9.x86_64
libapreq2-0:2.09-0.18.rc2.fc10.x86_64
netatalk-4:2.0.3-19.fc9.x86_64
nmh-0:1.3-1.fc10.x86_64
Comment 4 Panu Matilainen 2008-09-26 06:49:16 EDT
We *can* move rpm to BDB 4.6. It's just that then there will be no more easy way back to 4.4.2.x (see https://fedoraproject.org/wiki/Features/RPM4.6#Contingency_Plan). If we consider we're past the point of no return anyway (I'd tend to think so but...) then ok by me.
Comment 5 R P Herrold 2008-09-26 11:39:55 EDT
The wiki page 'documentation' points to a completely empty:
   http://rpm.org/api/4.5.90/
presently
Comment 6 Jindrich Novy 2008-10-22 08:53:25 EDT
I finally decided to add compat-db45 and compat-db46 subpackages to compat-db in a way that compat-db is just a dummy package containing nothing except requires to compat-db45 and compat-db46. The old db4.3 can be dropped now since nothing depends on it after all.

The dependent packages that contain Reqiures: compat-db won't break and those containing dependency on one of the legacy db4 libs will pull in just either compat-db45 or compat-db46.

Typically, in case of LiveCD just compat-db45 should be pulled in because of rpm, which is about ~2.7M in total.

Please let me know if you think it would break something. It should just work(TM) as the new compat-dbxx packages obsoletes old compat-db so the upgrade path should be kept.
Comment 7 Jindrich Novy 2008-10-24 09:42:42 EDT
compat-db is now split. RPM is now updated to live hopefully fine with the new compat-db.

Note You need to log in before you can comment on or make changes to this bug.